{
  "name": "salestracker.eu-admin",
  "version": "1.0.0",
  "description": "Salestracker.eu Admin portal",
  "main": "webpack.config.js",
  "pre-commit": [
    "lint",
    "test"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://github.com/santail/salestracker.eu.git"
  },
  "scripts": {
    "start": "node server",
    "start:server": "ts-node server",
    "dev:server": "nodemon -e ts --ignore \"client/**/*\" --ignore \"server/tests/**/*\"  --exec \"npm run start:server\"",
    "dev:client": "webpack -wd",
    "test": "mocha -r ts-node/register -r jsdom-global/register -r client/tests/configureTests \"client/tests/**/*.*\" \"server/tests/**/*.*\"",
    "test:watch": "npm run test -- --watch-extensions ts,tsx --watch",
    "dev": "npm-run-all --parallel dev:server dev:client"
  },
  "devDependencies": {
    "@types/body-parser": "^1.16.8",
    "@types/chai": "^4.0.8",
    "@types/chai-http": "^3.0.3",
    "@types/enzyme": "^3.1.5",
    "@types/enzyme-adapter-react-16": "^1.0.1",
    "@types/express": "^4.0.39",
    "@types/lodash": "^4.14.108",
    "@types/mocha": "^2.2.44",
    "@types/mongoose": "^4.7.28",
    "@types/moxios": "^0.4.8",
    "@types/nock": "^8.2.1",
    "@types/node": "^12.0.2",
    "@types/react": "^16.4.8",
    "@types/react-dom": "^16.0.7",
    "@types/react-router-dom": "^4.2.3",
    "awesome-typescript-loader": "^3.5.0",
    "chai": "^4.1.2",
    "chai-http": "^3.0.0",
    "css-loader": "^0.28.7",
    "dotenv": "^4.0.0",
    "enzyme": "^3.2.0",
    "enzyme-adapter-react-16": "^1.1.0",
    "istanbul": "^0.4.5",
    "jsdom": "11.5.1",
    "jsdom-global": "3.0.2",
    "mocha": "^4.0.1",
    "nock": "^9.1.4",
    "nodemon": "^1.12.5",
    "npm-run-all": "^4.1.2",
    "react-addons-test-utils": "^15.6.2",
    "source-map-loader": "^0.2.3",
    "typescript": "^2.9.2",
    "webpack": "^4.16.5",
    "webpack-cli": "^3.1.0"
  },
  "dependencies": {
    "@types/react-bootstrap": "^0.32.14",
    "@types/react-paginate": "^5.2.1",
    "body-parser": "^1.18.2",
    "chalk": "^2.4.1",
    "compression": "^1.7.2",
    "connect-flash": "^0.1.1",
    "connect-mongo": "^2.0.1",
    "consolidate": "^0.15.1",
    "cookie-parser": "^1.4.3",
    "elasticsearch": "^15.2.0",
    "express": "^4.16.2",
    "express-session": "^1.15.6",
    "franc": "^4.0.0",
    "glob": "^7.1.2",
    "helmet": "^3.12.0",
    "kue": "^0.11.6",
    "lodash": "^4.17.10",
    "method-override": "^2.3.10",
    "mongoose": "^4.13.6",
    "mongoose-middleware": "^1.0.0",
    "morgan": "^1.9.0",
    "multer": "^1.3.0",
    "promise": "^8.0.3",
    "react": "^16.4.2",
    "react-bootstrap": "^0.32.4",
    "react-bootstrap-slider": "^2.1.5",
    "react-dom": "^16.4.2",
    "react-notifications": "^1.4.3",
    "react-paginate": "^6.0.0",
    "react-router-dom": "^4.2.2",
    "resub": "^1.0.7",
    "telegraf": "^3.21.2",
    "ts-node": "^3.3.0"
  }
}
